package com.aizuda.boot.modules.flw.service;

import com.aizuda.boot.modules.flw.entity.FlwProcessCategory;
import com.aizuda.boot.modules.flw.entity.dto.FlwCategorySortDTO;
import com.aizuda.service.service.IBaseService;

import java.util.List;

/**
 * 流程分类 服务类
 *
 * @author 青苗
 * @since 2023-09-07
 */
public interface IFlwProcessCategoryService extends IBaseService<FlwProcessCategory> {

    boolean removeCategoryByIds(List<Long> ids);

    boolean sort(List<FlwCategorySortDTO> dtoList);
}
