/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.entity.param;

import com.aizuda.boot.modules.system.entity.SysResource;
import com.aizuda.boot.modules.system.entity.SysResourceApi;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 资源参数
 *
 * @author 青苗
 * @since 2022-02-27
 */
@Getter
@Setter
public class ResourceParam extends SysResource {

    @Schema(description = "接口权限")
    private List<SysResourceApi> apiList;

}
