package com.aizuda.boot.modules.system.service;

import com.aizuda.boot.modules.system.entity.vo.InformMessageVO;
import com.aizuda.service.web.UserSession;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.aizuda.service.service.IBaseService;
import com.aizuda.boot.modules.system.entity.SysMessage;

/**
 * 系统消息表 服务类
 *
 * @author 青苗
 * @since 2023-10-03
 */
public interface ISysMessageService extends IBaseService<SysMessage> {

    Page<SysMessage> page(Page<SysMessage> page, SysMessage sysMessage);

    SysMessage getViewedById(Long id);

    /**
     * 告知消息
     */
    InformMessageVO getInformByUser();

    /**
     * 一键已读
     */
    boolean readAll(UserSession userSession);

}
