package com.aizuda.boot.modules.ws;

import jakarta.websocket.Session;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * websocket会话Session
 *
 * @author 青苗
 * @since 2023-10-03
 */
@Getter
@Setter
@AllArgsConstructor
public class WsSession {
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 会话Session
     */
    private Session session;

}
